Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5595 - Installer probe loads AMI Megaraid before onboard SCSI on HP Netserver
Summary: Installer probe loads AMI Megaraid before onboard SCSI on HP Netserver
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-05 17:46 UTC by cbriggs
Modified: 2015-01-07 23:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-20 19:22:11 UTC


Attachments (Terms of Use)

Description cbriggs 1999-10-05 17:46:14 UTC
The initial install device probe loaded the NetRaid (AMI
Megaraid) 'driver' before loading the onboard aic7xxx
driver.  This caused the install program to see the Raid
array as sda when it should have been sdb.  On reboot the
box would not go beyond LILO. I booted from the bootdisk
made by the install program and it detected the aic7xxx
first which caused a kernel panic.  The server is an HP LC
III with dual 450's, 256M ram, HP NetRaid (AMI Megaraid) on
IRQ 18,ide cdrom, 1 4GB scsi drive, and 3 9GB hot-swap
drives.  I previously had 6.0 running with no problems and
when I switched to an ide drive the install went well.  I
would prefer to use scsi for server builds.

Comment 1 Bill Nottingham 1999-10-05 18:53:59 UTC
What does lspci say on the system?

Comment 2 Bill Nottingham 1999-10-07 19:35:59 UTC
What did the installer write in /etc/conf.modules?
From the looks of it, it should have written:
alias scsi_hostadapter aic7xxx
alias scsi_hostadapter2 megaraid

Is this not what it wrote?

Comment 3 Jay Turner 1999-10-11 14:56:59 UTC
You can use expert mode to determine which order SCSI adapters get
detected in.  Just type "expert" at the boot prompt.

------- Additional Comments From   10/13/99 20:01 -------
I too have the same problem with a Dual Pentium Pro 200 setup using
an Symbios 53C810 SCSI with a Megaraid 438 controller.  Building a
custom kernel fixed that problem, but now I can't get my Intel Pro
100B adapter to work.

Comment 4 Jay Turner 1999-10-20 19:22:59 UTC
Reopen bug report if expert mode does not allow what you are trying to
do.


Note You need to log in before you can comment on or make changes to this bug.